package com.example.ellegadodepintia.exploradoresDePintia.model.objeto

import com.example.ellegadodepintia.exploradoresDePintia.model.objeto.efectoObjeto.EfectoVender

open class ObjetoDeValor(
    nombre: String,
    descripcion: String,
    imagen: Int,
    val coste: Int
) : Objeto(nombre, descripcion, imagen) {

    private val efecto: EfectoVender = EfectoVender(coste)

    override fun usar() {
        efecto.ejecutar()
    }
}
