package com.example.ellegadodepintia.exploradoresDePintia.model.eventoFactory

import com.example.ellegadodepintia.exploradoresDePintia.model.Opcion
import java.util.UUID

class EventoDescanso(
    override val descripcion: String,
    override val dificultad: Int,
    override val opciones: MutableList<Opcion>,
    override val imagen: Int, resistenciaMax: Int,
    override var finalizado: Boolean,
) : Evento(descripcion, dificultad, opciones, imagen, resistenciaMax, resistenciaMax, finalizado) {
    val id: String = UUID.randomUUID().toString()

    override fun equals(other: Any?): Boolean {
        if (this === other) return true
        if (other == null || javaClass != other.javaClass) return false
        other as EventoDescanso

        return id == other.id
    }

    override fun hashCode(): Int {
        return 31 * id.hashCode()
    }
}